<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:apsbankplc="http://apsbankplc.com/xbrl/2022" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2024-01-31" targetNamespace="http://apsbankplc.com/xbrl/2022" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd" namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:import schemaLocation="https://www.xbrl.org/dtr/type/2024-01-31/types.xsd" namespace="http://www.xbrl.org/dtr/type/2024-01-31" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="213800A1O379I6DMCU10-2024-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="213800A1O379I6DMCU10-2024-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="213800A1O379I6DMCU10-2024-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="213800A1O379I6DMCU10-2024-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" xlink:type="simple" />
      <link:roleType id="ProfitLoss" roleURI="http://apsbankplc.com/xbrl/2022/roles/ProfitLoss">
        <link:definition>01 - Profit (loss)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ProfitLoss1" roleURI="http://apsbankplc.com/xbrl/2022/roles/ProfitLoss1">
        <link:definition>02 - Profit (loss)_1</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BasicEarningsPerShare" roleURI="http://apsbankplc.com/xbrl/2022/roles/BasicEarningsPerShare">
        <link:definition>03 - Basic earnings per share</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfFinancialPosition" roleURI="http://apsbankplc.com/xbrl/2022/roles/StatementOfFinancialPosition">
        <link:definition>04 - Statement of financial position</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DisclosureOfCreditRiskExposure" roleURI="http://apsbankplc.com/xbrl/2022/roles/DisclosureOfCreditRiskExposure">
        <link:definition>05 - Disclosure of credit risk exposure</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfComprehensiveIncome" roleURI="http://apsbankplc.com/xbrl/2022/roles/StatementOfComprehensiveIncome">
        <link:definition>06 - Statement of comprehensive income</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfComprehensiveIncome1" roleURI="http://apsbankplc.com/xbrl/2022/roles/StatementOfComprehensiveIncome1">
        <link:definition>07 - Statement of comprehensive income_1</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfCashFlows" roleURI="http://apsbankplc.com/xbrl/2022/roles/StatementOfCashFlows">
        <link:definition>08 - Statement of cash flows</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfChangesInEquity" roleURI="http://apsbankplc.com/xbrl/2022/roles/StatementOfChangesInEquity">
        <link:definition>09 - Statement of changes in equity</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://apsbankplc.com/xbrl/2022/roles/NotesAndMandatoryItems">
        <link:definition>10 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfComprehensiveIncomeParenthetical" roleURI="http://apsbankplc.com/xbrl/2022/roles/StatementOfComprehensiveIncomeParenthetical">
        <link:definition>11 - Statement of comprehensive income (Parenthetical)</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://apsbankplc.com/xbrl/2022/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="apsbankplc_InterestReceivableAndSimilarIncomeOnLoansAndAdvancesBalancesWithTheCentralBankOfMaltaAndTreasuryBills" xbrli:balance="credit" xbrli:periodType="duration" name="InterestReceivableAndSimilarIncomeOnLoansAndAdvancesBalancesWithTheCentralBankOfMaltaAndTreasuryBills" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_NetGainOnFinancialInstruments" xbrli:balance="credit" xbrli:periodType="duration" name="NetGainOnFinancialInstruments" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_OperatingIncomeBeforeNetImpairments" xbrli:balance="credit" xbrli:periodType="duration" name="OperatingIncomeBeforeNetImpairments" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_NetOperatingIncome" xbrli:balance="credit" xbrli:periodType="duration" name="NetOperatingIncome" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_FinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValueotherthanDerivativeFinancialassets" xbrli:balance="debit" xbrli:periodType="instant" name="FinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValueotherthanDerivativeFinancialassets" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_SyndicatedLoans" xbrli:balance="debit" xbrli:periodType="instant" name="SyndicatedLoans" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_OtherDebtAndFixedIncomeInstruments" xbrli:balance="debit" xbrli:periodType="instant" name="OtherDebtAndFixedIncomeInstruments" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_InterestAndCommissionReceipts" xbrli:balance="debit" xbrli:periodType="duration" name="InterestAndCommissionReceipts" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_InterestAndCommissionPayments" xbrli:balance="credit" xbrli:periodType="duration" name="InterestAndCommissionPayments" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_ReservedepositwithCentralBankofMalta" xbrli:balance="credit" xbrli:periodType="duration" name="ReservedepositwithCentralBankofMalta" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_PurchaseOfFinancialAssetsMeasuredAtAmortisedCost" xbrli:balance="credit" xbrli:periodType="duration" name="PurchaseOfFinancialAssetsMeasuredAtAmortisedCost" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_Proceedsonmaturityoffinancialassetsmeasuredatamortisedcost" xbrli:balance="debit" xbrli:periodType="duration" name="Proceedsonmaturityoffinancialassetsmeasuredatamortisedcost" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_PurchaseOfDebtInstrumentsMeasuredAtFvtoci" xbrli:balance="credit" xbrli:periodType="duration" name="PurchaseOfDebtInstrumentsMeasuredAtFvtoci" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_ProceedsOnDisposalOfDebtInstrumentsMeasuredAtFvtoci" xbrli:balance="debit" xbrli:periodType="duration" name="ProceedsOnDisposalOfDebtInstrumentsMeasuredAtFvtoci" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_PurchaseOfFinancialAssetsAtFvtpl" xbrli:balance="credit" xbrli:periodType="duration" name="PurchaseOfFinancialAssetsAtFvtpl" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_ProceedsOnDisposalOfFinancialAssetsAtFvtpl" xbrli:balance="debit" xbrli:periodType="duration" name="ProceedsOnDisposalOfFinancialAssetsAtFvtpl" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_PurchaseOfEquityAndOtherNonFixedIncomeInstrumentsclassifiedAsFVTOCI" xbrli:balance="credit" xbrli:periodType="duration" name="PurchaseOfEquityAndOtherNonFixedIncomeInstrumentsclassifiedAsFVTOCI" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_AmountsReceivedOnCreationOfSharesInSubsidiaries" xbrli:balance="debit" xbrli:periodType="duration" name="AmountsReceivedOnCreationOfSharesInSubsidiaries" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_AmountsPaidOnRedemptionOfUnitsInSubsidiaries" xbrli:balance="credit" xbrli:periodType="duration" name="AmountsPaidOnRedemptionOfUnitsInSubsidiaries" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_CashPaymentForSecurityDepositOnRightOfUseAsset" xbrli:balance="credit" xbrli:periodType="duration" name="CashPaymentForSecurityDepositOnRightOfUseAsset" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_VestingOfShares" xbrli:balance="credit" xbrli:periodType="duration" name="VestingOfShares" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_ShareIncentivePlanValueOfEmployeeServices" xbrli:balance="credit" xbrli:periodType="duration" name="ShareIncentivePlanValueOfEmployeeServices" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="apsbankplc_DescriptionofAccountingPolicyforEquity" xbrli:periodType="duration" name="DescriptionofAccountingPolicyforEquity" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
  <xs:element id="apsbankplc_DisclosureOfIncomeExpenseonFinancialInstruments" xbrli:periodType="duration" name="DisclosureOfIncomeExpenseonFinancialInstruments" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
  <xs:element id="apsbankplc_DisclosureOfSyndicatedLoans" xbrli:periodType="duration" name="DisclosureOfSyndicatedLoans" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
  <xs:element id="apsbankplc_DisclosureOfOtherReceivables" xbrli:periodType="duration" name="DisclosureOfOtherReceivables" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
  <xs:element id="apsbankplc_DisclosureOfOtherPayables" xbrli:periodType="duration" name="DisclosureOfOtherPayables" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
  <xs:element id="apsbankplc_DisclosureOfUltimateControllingParty" xbrli:periodType="duration" name="DisclosureOfUltimateControllingParty" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
</xs:schema>